Difference between revisions of "Upgrading"

From TidalCycles userbase
Jump to: navigation, search
(added new update shell commands for versions 1.7 and up)
 
Line 14: Line 14:
 
cabal update
 
cabal update
 
cabal install tidal --lib
 
cabal install tidal --lib
 +
 +
-- note: as of version 1.7 instead you'll have to use the following commands:
 +
cabal v1-update
 +
cabal v1-install tidal
 +
 
</source>
 
</source>
  

Latest revision as of 09:49, 2 March 2021

Other languages:
Deutsch • ‎English • ‎français

To avoid problems, we warmly recommend upgrading all three components of TidalCycles together - the tidalcycles library itself, the editor plugin, and the SuperDirt synth.

TidalCycles library

Upgrade tidal with the following from a terminal window:

cabal update
cabal install tidal --lib

-- note: as of version 1.7 instead you'll have to use the following commands:
cabal v1-update
cabal v1-install tidal

If you're using an older version of haskell you might have to miss the `--lib` off the above command.

Editor plugin

To upgrade your tidalcycles editor plugin (which might be referred to as an 'extension' or 'package'). In atom, you can do this via the preferences > updates menu.

In VSCode, you can upgrade the TidalCycles package by viewing your extensions (View > Extensions menu, or click on the Extensions icon on the left-hand activity bar), searching for TidalCycles and then choose to upgrade.

SuperDirt

To upgrade the SuperDirt sound synthesiser/sampler, open supercollider, and run the following (paste it in, put your cursor on that line, hit shift-enter):

Quarks.update("SuperDirt")

After this, you'll need to recompile the class library. You can do this either by restarting supercollider, or via the "Recompile class library" entry on the "Language" menu.